org.eclipse.viatra.cep.core.metamodels.trace

## Interface TracePackage.Literals

- Enclosing interface:
    TracePackage

      public static interface TracePackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `TIMED_ZONE_TRACE` The meta object literal for the '`Timed Zone Trace`' class.
    `static org.eclipse.emf.ecore.EReference` | `TIMED_ZONE_TRACE__TIMED_ZONE` The meta object literal for the 'Timed Zone' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `TIMED_ZONE_TRACE__TRANSITION` The meta object literal for the 'Transition' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `TRACE` The meta object literal for the '`Trace`' class.
    `static org.eclipse.emf.ecore.EReference` | `TRACE__AUTOMATON` The meta object literal for the 'Automaton' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `TRACE__EVENT_PATTERN` The meta object literal for the 'Event Pattern' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `TRACE_MODEL` The meta object literal for the '`Model`' class.
    `static org.eclipse.emf.ecore.EReference` | `TRACE_MODEL__TIMED_ZONE_TRACES` The meta object literal for the 'Timed Zone Traces' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `TRACE_MODEL__TRACES` The meta object literal for the 'Traces' containment reference list feature.

- - ### Field Detail

    - #### TRACE_MODEL

          static final org.eclipse.emf.ecore.EClass TRACE_MODEL

      The meta object literal for the '`Model`' class.
      See Also:
        `TraceModelImpl`, `TracePackageImpl.getTraceModel()`
      Generated:

    - #### TRACE_MODEL__TRACES

          static final org.eclipse.emf.ecore.EReference TRACE_MODEL__TRACES

      The meta object literal for the 'Traces' containment reference list feature.
      Generated:

    - #### TRACE_MODEL__TIMED_ZONE_TRACES

          static final org.eclipse.emf.ecore.EReference TRACE_MODEL__TIMED_ZONE_TRACES

      The meta object literal for the 'Timed Zone Traces' reference list feature.
      Generated:

    - #### TRACE

          static final org.eclipse.emf.ecore.EClass TRACE

      The meta object literal for the '`Trace`' class.
      See Also:
        `TraceImpl`, `TracePackageImpl.getTrace()`
      Generated:

    - #### TRACE__EVENT_PATTERN

          static final org.eclipse.emf.ecore.EReference TRACE__EVENT_PATTERN

      The meta object literal for the 'Event Pattern' reference feature.
      Generated:

    - #### TRACE__AUTOMATON

          static final org.eclipse.emf.ecore.EReference TRACE__AUTOMATON

      The meta object literal for the 'Automaton' reference feature.
      Generated:

    - #### TIMED_ZONE_TRACE

          static final org.eclipse.emf.ecore.EClass TIMED_ZONE_TRACE

      The meta object literal for the '`Timed Zone Trace`' class.
      See Also:
        `TimedZoneTraceImpl`, `TracePackageImpl.getTimedZoneTrace()`
      Generated:

    - #### TIMED_ZONE_TRACE__TIMED_ZONE

          static final org.eclipse.emf.ecore.EReference TIMED_ZONE_TRACE__TIMED_ZONE

      The meta object literal for the 'Timed Zone' reference feature.
      Generated:

    - #### TIMED_ZONE_TRACE__TRANSITION

          static final org.eclipse.emf.ecore.EReference TIMED_ZONE_TRACE__TRANSITION

      The meta object literal for the 'Transition' reference feature.
      Generated: